بولتن امنیتی اندروید - ژوئیه 2019

منتشر شده 1 جولای 2019 | به روز شده در 2 ژوئیه 2019

بولتن امنیتی اندروید حاوی جزئیاتی از آسیب پذیری های امنیتی است که بر دستگاه های اندرویدی تأثیر می گذارد. سطوح وصله امنیتی 2019-07-05 یا بعد از آن همه این مسائل را برطرف می کند. برای آشنایی با نحوه بررسی سطح وصله امنیتی دستگاه، به بررسی و به‌روزرسانی نسخه Android خود مراجعه کنید.

شرکای Android حداقل یک ماه قبل از انتشار از همه مشکلات مطلع می شوند. وصله کد منبع برای این مشکلات در مخزن پروژه منبع باز Android (AOSP) منتشر شده و از این بولتن پیوند داده شده است. این بولتن همچنین شامل پیوندهایی به وصله های خارج از AOSP است.

شدیدترین این مشکلات یک آسیب پذیری امنیتی مهم در چارچوب Media است که می تواند یک مهاجم راه دور را با استفاده از یک فایل ساخته شده خاص قادر به اجرای کد دلخواه در چارچوب یک فرآیند ممتاز کند. ارزیابی شدت مبتنی بر تأثیری است که بهره‌برداری از آسیب‌پذیری احتمالاً روی دستگاه آسیب‌دیده می‌گذارد، با این فرض که پلت‌فرم و کاهش خدمات برای اهداف توسعه خاموش شده‌اند یا اگر با موفقیت دور زده شوند.

ما هیچ گزارشی مبنی بر بهره برداری یا سوء استفاده فعال مشتری از این مشکلات گزارش شده جدید نداشته ایم. برای جزئیات بیشتر در مورد حفاظت های پلتفرم امنیتی اندروید و Google Play Protect که امنیت پلتفرم اندروید را بهبود می بخشد، به بخش کاهش دهنده های Android و Google Play Protect مراجعه کنید.

کاهش خدمات اندروید و گوگل

این خلاصه‌ای از کاهش‌های ارائه شده توسط پلتفرم امنیتی Android و محافظت‌های خدماتی مانند Google Play Protect است. این قابلیت ها احتمال سوء استفاده موفقیت آمیز از آسیب پذیری های امنیتی در اندروید را کاهش می دهد.

  • بهره برداری از بسیاری از مسائل در اندروید با بهبود نسخه های جدیدتر پلت فرم اندروید دشوارتر شده است. ما همه کاربران را تشویق می کنیم تا در صورت امکان به آخرین نسخه اندروید بروزرسانی کنند.
  • تیم امنیتی Android به طور فعال از طریق Google Play Protect برای سوء استفاده نظارت می کند و به کاربران در مورد برنامه های بالقوه مضر هشدار می دهد. Google Play Protect به طور پیش‌فرض در دستگاه‌های دارای سرویس‌های تلفن همراه Google فعال است و به ویژه برای کاربرانی که برنامه‌هایی را از خارج از Google Play نصب می‌کنند، مهم است.

جزئیات آسیب پذیری سطح وصله امنیتی 01/07/2019

در بخش‌های زیر، جزئیات مربوط به هر یک از آسیب‌پذیری‌های امنیتی را که در سطح وصله 01-07-2019 اعمال می‌شود، ارائه می‌کنیم. آسیب‌پذیری‌ها بر اساس مؤلفه‌ای که بر آن تأثیر می‌گذارند گروه‌بندی می‌شوند. شرحی از مشکل و جدولی با CVE، مراجع مرتبط، نوع آسیب‌پذیری ، شدت و نسخه‌های به‌روزرسانی‌شده AOSP (در صورت لزوم) وجود دارد. زمانی که در دسترس باشد، تغییر عمومی را که مشکل را حل کرده است به شناسه اشکال مرتبط می کنیم، مانند لیست تغییرات AOSP. هنگامی که تغییرات متعدد به یک باگ مربوط می شود، ارجاعات اضافی به اعداد زیر شناسه اشکال مرتبط می شوند.

چارچوب

آسیب‌پذیری موجود در این بخش می‌تواند یک برنامه مخرب محلی را قادر سازد تا الزامات تعامل کاربر را برای دسترسی به مجوزهای اضافی دور بزند.

CVE منابع تایپ کنید شدت نسخه های AOSP به روز شده
CVE-2019-2104 A-131356202 [ 2 ] [ 3 ] [ 4 ] [ 5 ] [ 6 ] [ 7 ] شناسه بالا 8.0، 8.1، 9

کتابخانه

آسیب‌پذیری در این بخش می‌تواند یک مهاجم راه دور را با استفاده از یک فایل ساخته‌شده خاص قادر به اجرای کد دلخواه در چارچوب یک فرآیند غیرمجاز کند.

CVE منابع تایپ کنید شدت نسخه های AOSP به روز شده
CVE-2019-2105 الف-116114182 RCE بالا 7.0، 7.1.1، 7.1.2، 8.0، 8.1، 9

چارچوب رسانه ای

شدیدترین آسیب‌پذیری در این بخش می‌تواند یک مهاجم راه دور را با استفاده از یک فایل ساخته‌شده خاص قادر به اجرای کد دلخواه در چارچوب یک فرآیند ممتاز کند.

CVE منابع تایپ کنید شدت نسخه های AOSP به روز شده
CVE-2019-2106 الف-130023983 RCE بحرانی 7.0، 7.1.1، 7.1.2، 8.0، 8.1، 9
CVE-2019-2107 الف-130024844 RCE بحرانی 7.0، 7.1.1، 7.1.2، 8.0، 8.1، 9
CVE-2019-2109 A-130651570 * RCE بحرانی 7.0، 7.1.1، 7.1.2، 8.0، 8.1

سیستم

شدیدترین آسیب‌پذیری در این بخش می‌تواند یک مهاجم راه دور را با استفاده از یک فایل ساخته‌شده خاص قادر به اجرای کد دلخواه در چارچوب یک فرآیند ممتاز کند.

CVE منابع تایپ کنید شدت نسخه های AOSP به روز شده
CVE-2019-2111 A-122856181 [ 2 ] RCE بحرانی 9
CVE-2019-2112 الف-117997080 EoP بالا 8.0، 8.1، 9
CVE-2019-2113 A-122597079 * EoP بالا 9
CVE-2019-2116 الف-117105007 شناسه بالا 7.0، 7.1.1، 7.1.2، 8.0، 8.1، 9
CVE-2019-2117 الف-124107808 شناسه بالا 7.0، 7.1.1، 7.1.2، 8.0، 8.1، 9
CVE-2019-2118 الف-130161842 شناسه بالا 8.0، 8.1، 9
CVE-2019-2119 الف-131622568 شناسه بالا 8.0، 8.1، 9

جزئیات آسیب پذیری سطح وصله امنیتی 05/07/2019

در بخش‌های زیر، جزئیات مربوط به هر یک از آسیب‌پذیری‌های امنیتی را که در سطح وصله ۰۵-۰۷-۲۰۱۹ اعمال می‌شود، ارائه می‌کنیم. آسیب‌پذیری‌ها تحت مؤلفه‌ای که بر آن تأثیر می‌گذارند گروه‌بندی می‌شوند و شامل جزئیاتی مانند CVE، مراجع مرتبط، نوع آسیب‌پذیری ، شدت ، مؤلفه (در صورت لزوم)، و نسخه‌های به‌روزرسانی‌شده AOSP (در صورت لزوم) می‌شوند. زمانی که در دسترس باشد، تغییر عمومی را که مشکل را حل کرده است به شناسه اشکال مرتبط می کنیم، مانند لیست تغییرات AOSP. هنگامی که تغییرات متعدد به یک باگ مربوط می شود، ارجاعات اضافی به اعداد زیر شناسه اشکال مرتبط می شوند.

قطعات کوالکام

این آسیب‌پذیری‌ها بر اجزای کوالکام تأثیر می‌گذارند و با جزئیات بیشتر در بولتن امنیتی یا هشدار امنیتی کوالکام توضیح داده شده‌اند. ارزیابی شدت این مسائل به طور مستقیم توسط کوالکام ارائه می شود.

CVE منابع تایپ کنید شدت مولفه
CVE-2019-2308 الف-129852114
QC-CR#2338800
N/A بحرانی DSP_Services
CVE-2019-2330 الف-129850940
QC-CR#2379952
N/A بحرانی هسته
CVE-2019-2276 الف-130890737
QC-CR#2335974
N/A بالا میزبان WLAN
CVE-2019-2305 A-78530292
QC-CR#2253984
N/A بالا درایور WLAN
CVE-2019-2278 الف-130567114
QC-CR#2345293
N/A بالا HLOS
CVE-2019-2307 الف-129850941
QC-CR#2337425
N/A بالا میزبان WLAN
CVE-2019-2326 الف-129850483
QC-CR#2372306 [ 2 ]
N/A بالا سمعی
CVE-2019-2328 الف-129851238
QC-CR#2375115 [ 2 ]
N/A بالا سمعی

اجزای منبع بسته کوالکام

این آسیب‌پذیری‌ها بر اجزای منبع بسته کوالکام تأثیر می‌گذارند و با جزئیات بیشتر در بولتن امنیتی یا هشدار امنیتی کوالکام توضیح داده شده‌اند. ارزیابی شدت این مسائل به طور مستقیم توسط کوالکام ارائه می شود.

CVE منابع تایپ کنید شدت مولفه
CVE-2019-2254 A-122473972 * N/A بحرانی جزء منبع بسته
CVE-2019-2322 A-129766496 * N/A بحرانی جزء منبع بسته
CVE-2019-2327 A-129766125 * N/A بحرانی جزء منبع بسته
CVE-2019-2235 A-122473271 * N/A بالا جزء منبع بسته
CVE-2019-2236 A-122474808 * N/A بالا جزء منبع بسته
CVE-2019-2237 A-122472479 * N/A بالا جزء منبع بسته
CVE-2019-2238 A-122473168 * N/A بالا جزء منبع بسته
CVE-2019-2239 A-122473304 * N/A بالا جزء منبع بسته
CVE-2019-2240 A-122473496 * N/A بالا جزء منبع بسته
CVE-2019-2241 A-122473989 * N/A بالا جزء منبع بسته
CVE-2019-2253 A-129766432 * N/A بالا جزء منبع بسته
CVE-2019-2334 A-129766099 * N/A بالا جزء منبع بسته
CVE-2019-2346 A-129766299 * N/A بالا جزء منبع بسته

پرسش و پاسخ متداول

این بخش به سوالات رایجی که ممکن است پس از خواندن این بولتن رخ دهد پاسخ می دهد.

1. چگونه تشخیص دهم که آیا دستگاه من برای رفع این مشکلات به روز شده است؟

برای آشنایی با نحوه بررسی سطح وصله امنیتی دستگاه، به بررسی و به‌روزرسانی نسخه Android خود مراجعه کنید.

  • سطوح وصله امنیتی 2019-07-01 یا جدیدتر، تمام مسائل مرتبط با سطح وصله امنیتی 2019-07-01 را بررسی می‌کنند.
  • سطوح وصله امنیتی 2019-07-05 یا بعد از آن، تمام مسائل مرتبط با سطح وصله امنیتی 2019-07-05 و تمام سطوح وصله قبلی را برطرف می کند.

سازندگان دستگاه‌هایی که شامل این به‌روزرسانی‌ها می‌شوند باید سطح رشته وصله را روی موارد زیر تنظیم کنند:

  • [ro.build.version.security_patch]:[01-07-2019]
  • [ro.build.version.security_patch]:[05-07-2019]

2. چرا این بولتن دارای دو سطح وصله امنیتی است؟

این بولتن دارای دو سطح وصله امنیتی است تا شرکای Android انعطاف پذیری لازم را داشته باشند تا زیرمجموعه ای از آسیب پذیری ها را که در همه دستگاه های اندرویدی مشابه هستند با سرعت بیشتری برطرف کنند. شرکای Android تشویق می شوند تا همه مشکلات موجود در این بولتن را برطرف کنند و از آخرین سطح وصله امنیتی استفاده کنند.

  • دستگاه‌هایی که از سطح وصله امنیتی 01-07-2019 استفاده می‌کنند باید همه مشکلات مرتبط با آن سطح وصله امنیتی و همچنین رفع مشکلات گزارش‌شده در بولتن‌های امنیتی قبلی را شامل شوند.
  • دستگاه‌هایی که از سطح وصله امنیتی 05/07/2019 یا جدیدتر استفاده می‌کنند باید همه وصله‌های قابل‌اجرا در این (و قبلی) بولتن‌های امنیتی را شامل شوند.

شرکا تشویق می شوند تا اصلاحات مربوط به همه مشکلاتی را که در حال رفع آنها هستند در یک به روز رسانی واحد جمع کنند.

3. ورودی های ستون Type به چه معناست؟

ورودی های ستون نوع جدول جزئیات آسیب پذیری به طبقه بندی آسیب پذیری امنیتی اشاره دارد.

مخفف تعریف
RCE اجرای کد از راه دور
EoP بالا بردن امتیاز
شناسه افشای اطلاعات
DoS خود داری از خدمات
N/A طبقه بندی در دسترس نیست

4. ورودی های ستون References به چه معناست؟

ورودی‌های زیر ستون مراجع جدول جزئیات آسیب‌پذیری ممکن است حاوی پیشوندی باشد که سازمانی را که مقدار مرجع به آن تعلق دارد، مشخص می‌کند.

پیشوند ارجاع
آ- شناسه باگ اندروید
QC- شماره مرجع کوالکام
M- شماره مرجع مدیاتک
N- شماره مرجع NVIDIA
ب- شماره مرجع Broadcom

5. یک * در کنار شناسه باگ اندروید در ستون References به چه معناست؟

مسائلی که به صورت عمومی در دسترس نیستند دارای یک * در کنار شناسه اشکال Android در ستون References هستند. به‌روزرسانی برای آن مشکل عموماً در آخرین درایورهای باینری دستگاه‌های Pixel موجود در سایت Google Developer موجود است.

6. چرا آسیب‌پذیری‌های امنیتی بین این بولتن و بولتن‌های امنیتی دستگاه/شریک، مانند بولتن Pixel تقسیم شده است؟

آسیب پذیری های امنیتی که در این بولتن امنیتی مستند شده اند برای اعلام آخرین سطح وصله امنیتی در دستگاه های اندرویدی مورد نیاز هستند. آسیب‌پذیری‌های امنیتی اضافی که در بولتن‌های امنیتی دستگاه/شریک مستند شده‌اند، برای اعلام سطح وصله امنیتی لازم نیست. سازندگان دستگاه‌ها و چیپ‌ست‌های Android نیز ممکن است جزئیات آسیب‌پذیری امنیتی خاص محصولات خود را منتشر کنند، مانند Google ، Huawei ، LGE ، Motorola ، Nokia یا Samsung .

نسخه ها

نسخه تاریخ یادداشت
1.0 1 جولای 2019 بولتن منتشر شد
1.1 2 جولای 2019 بولتن اصلاح شد تا شامل پیوندهای AOSP باشد